Imports System
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Collections

Public Class StockFactory
  'Klasa zawiera tylko jedną metodę statyczną
  Public Shared Function getBuilder(ByVal stocks As Equities) As MultiChoice

    Dim mult As MultiChoice

    If stocks.count <= 3 Then
      'Utwórz pola wyboru
      mult = New CheckChoice(stocks)
    Else
      'Utwórz listę wyboru
      mult = New ListChoice(stocks)
    End If
    Return mult
  End Function
End Class
